.container {
  max-width: 1000px;
  margin: 100px auto;
  display: grid;
  grid-template-columns: 250px minmax(0,1fr);
  grid-template-rows: auto max-content auto;
  height: 100vh;
  gap: 10px;
}

header {
  border: none;
}

nav {
  border: gray 2px;
}

main {
  border: gray 2px;
}

footer {
  border: none;
}

header {
  grid-row: 1 / 2;
  grid-column: 1 / 3;
}

nav {
  grid-row: 2 / 3;
  grid-column: 1 / 2;
  height: max-content;
}

main {
  grid-row: 2 / 3;
  grid-column: 2 / 3;
  height: max-content;
}

footer {
  grid-row: 3 / 4;
  grid-column: 1 / 3;
}

header, footer {
  background: transparent;
  border:none;
  height:0;
  overflow: hidden;
}

nav, main {
  background: black;
  overflow: hidden;
  border-radius: 10px;

}

body {
background: url('https://image2url.com/r2/default/gifs/1771189635987-c3ec94ed-885b-4b1c-9418-2d40ca7e771f.gif');
background-attachment: fixed;
background-repeat: repeat;
overflow: hidden;
}














  

